Supported Operation Systems

PDF-XChange Pro supports all Windows (32/64 bit) operating systems from Windows XP** and later.

system requirements

Version 5 (2012): Microsoft/Citrix Terminal Server compatible*.
Version 4: Microsoft/Citrix Terminal Server compatible*.
Version 3: Still available for Windows 95 and later.

* Note: Though many users have virtualized some of our component products such as the PDF-XChange Viewer and PDF-Tools application using XenApp, we do not support this at this time. Particularly the printer drivers are not designed to work in a virtualized environment.

** Limitations to product support for Windows XP